'use strict';

exports.__esModule = true;

var _normalizeOptions = require('./normalizeOptions');

var _normalizeOptions2 = _interopRequireDefault(_normalizeOptions);

var _call = require('./transformers/call');

var _call2 = _interopRequireDefault(_call);

var _import = require('./transformers/import');

var _import2 = _interopRequireDefault(_import);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var importVisitors = {
  CallExpression: _call2.default,
  'ImportDeclaration|ExportDeclaration': _import2.default
};

var visitor = {
  Program: {
    exit(programPath, state) {
      programPath.traverse(importVisitors, state);
    }
  }
};

exports.default = function (_ref) {
  var types = _ref.types;
  return {
    pre(file) {
      this.types = types;
      (0, _normalizeOptions2.default)(this.opts, file);
    },

    visitor
  };
};